Package org.eclipse.equinox.p2.ui

## Class LicenseManager

- java.lang.Object
- - org.eclipse.equinox.p2.ui.LicenseManager

    public abstract class LicenseManager
    extends Object

LicenseManager defines a service which records the licenses that have been accepted in the course of installing or updating software. It can be used to determine whether a particular license should be presented to a user for acceptance, and to record the user's decision.

Since:
  2.0

### Constructor Summary

Constructors
`LicenseManager()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract boolean` `accept​(ILicense license)` Record the acceptance of the specified license.
`abstract boolean` `hasAcceptedLicenses()` Return a boolean indicating whether any licenses have been accepted.
`abstract boolean` `isAccepted​(ILicense license)` Return a boolean indicating whether a particular license has previously been accepted.
`abstract boolean` `reject​(ILicense license)` Record the rejection of the specified license.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LicenseManager

    public LicenseManager()

### Method Detail

#### accept

    public abstract boolean accept​(ILicense license)

Record the acceptance of the specified license.

Parameters:
  `license` - the license to be accepted
Returns:
  `true` if the license was recorded as accepted, `false` if it was not.

#### reject

    public abstract boolean reject​(ILicense license)

Record the rejection of the specified license.

Parameters:
  `license` - the license to be rejected
Returns:
  `true` if the license was recorded as rejected, `false` if it was not.

#### isAccepted

    public abstract boolean isAccepted​(ILicense license)

Return a boolean indicating whether a particular license has previously been accepted.

Parameters:
  `license` - the license in question
Returns:
  `true` if the license has previously been accepted, `false` if it has not been accepted before.

#### hasAcceptedLicenses

    public abstract boolean hasAcceptedLicenses()

Return a boolean indicating whether any licenses have been accepted.

Returns:
  `true` if accepted licenses have been recorded, `false` if there have been no licenses accepted.